// ==UserScript==
// @name           iidx_me_update
// @namespace      http://kasugano.tistory.com
// @version        14401
// @date           2014.04.20
// @author         하루카나소라
// @description    iidx.me 데이터를 로컬에서 쉽게 갱신합니다.
// @include        http://iidx.me/*
// @include        http://p.eagate.573.jp/iidx_me_update
// ==/UserScript==

function cElement(tag,insert,property,func,topDoc) {
	if(topDoc==undefined) {
		topDoc = document;
	}
	var element = tag!=''?topDoc.createElement(tag):topDoc.createTextNode(property);
	if(insert) {
		var parent;
		var before = null;
		if(insert.constructor === Array) {
			var target = insert[1];
			if(typeof target === "number") {
				parent = insert[0];
				before = parent.childNodes[target];
			} else {
				before = insert[0];
				parent = before.parentNode;
				if(target === "next") {
					before = before.nextSibling;
				}
			}
		} else {
			parent = insert;
		}
		parent.insertBefore(element,before);
	}
	if(property) {
		if(typeof property === "object") {
			for(var i in property) {
				if(property.hasOwnProperty(i)) {
					if(i=='textContent' || i=='innerHTML')
						element[i]=property[i];
					else
						element.setAttribute(i, property[i]);
				}
			}
		} else {
			element.textContent = property;
		}
	}
	if(func) {
		element.addEventListener("click",func,false);
	}
	return element;
}

function time() {
	var dVal = new Date();
	return parseInt(dVal.getTime()/1000);
}

if(location.hostname==='p.eagate.573.jp') {
	document.body.innerHTML = '';
	cElement('script', document.head, {'type':'text/javascript','src':'http://iidx.me/jquery-1.10.2.js'}).addEventListener('load', function() { cElement('script', document.head, {'type':'text/javascript','src':'http://iidx.me/update.js'}) });
}
else if(location.hostname==='iidx.me') {
	var sidebar = document.querySelector('div.sidebar');
	rbtn = cElement('a', cElement('div', sidebar, {'class':'renew'}), {'class':'renew-button', 'textContent':'갱신'});
	rbtn.addEventListener('click', function() { 
		var btn = document.querySelector('div.sidebar > div.renew');
		btn.innerHTML = '';
		cElement('iframe', btn, {'src':'http://p.eagate.573.jp/iidx_me_update'}); 
	});
}
else
	console.log('IIDX_ME_script Error: wrong host name');